CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2014-0138

The default configuration in cURL and libcurl 7.10.6 before 7.36.0 re-uses (1) SCP, (2) SFTP, (3) POP3, (4) POP3S, (5) IMAP, (6) IMAPS, (7) SMTP, (8) SMTPS, (9) LDAP, and (10) LDAPS connections, which might allow context-dependent attackers to connect as other users via a request, a similar issue to CVE-2014-0015.
Publish Date : 2014-04-15 Last Update Date : 2018-10-09
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
6.4
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID 287

- Related OVAL Definitions

Title Definition Id Class Family
DEPRECATED: ELSA-2014-0561 -- curl security and bug fix update (moderate) oval:org.mitre.oval:def:27244 unix
DSA-2902-1 curl - security update oval:org.mitre.oval:def:24695 unix
ELSA-2014:0561: curl security and bug fix update (Moderate) oval:org.mitre.oval:def:25175 unix
RHSA-2014:0561: curl security and bug fix update (Moderate) oval:org.mitre.oval:def:24802 unix
RHSA-2014:0561: curl security and bug fix update (Moderate) oval:com.redhat.rhsa:def:20140561 unix
SUSE-OU-2014:0571-1 -- Optional OpenSSL 1.0 versions of cyrus-sasl, libcurl4 and libldap oval:org.mitre.oval:def:25299 unix
SUSE-SU-2014:0691-1 -- Security update for curl oval:org.mitre.oval:def:24940 unix
USN-2167-1 -- curl vulnerabilities oval:org.mitre.oval:def:24626 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2014-0138

# Product Type Vendor Product Version Update Edition Language
1 OS Debian Debian Linux 7.0 Version Details Vulnerabilities
2 Application Haxx Curl 7.10.6 Version Details Vulnerabilities
3 Application Haxx Curl 7.10.7 Version Details Vulnerabilities
4 Application Haxx Curl 7.10.8 Version Details Vulnerabilities
5 Application Haxx Curl 7.11.0 Version Details Vulnerabilities
6 Application Haxx Curl 7.11.1 Version Details Vulnerabilities
7 Application Haxx Curl 7.11.2 Version Details Vulnerabilities
8 Application Haxx Curl 7.12.0 Version Details Vulnerabilities
9 Application Haxx Curl 7.12.1 Version Details Vulnerabilities
10 Application Haxx Curl 7.12.2 Version Details Vulnerabilities
11 Application Haxx Curl 7.12.3 Version Details Vulnerabilities
12 Application Haxx Curl 7.13.0 Version Details Vulnerabilities
13 Application Haxx Curl 7.13.1 Version Details Vulnerabilities
14 Application Haxx Curl 7.13.2 Version Details Vulnerabilities
15 Application Haxx Curl 7.14.0 Version Details Vulnerabilities
16 Application Haxx Curl 7.14.1 Version Details Vulnerabilities
17 Application Haxx Curl 7.15.0 Version Details Vulnerabilities
18 Application Haxx Curl 7.15.1 Version Details Vulnerabilities
19 Application Haxx Curl 7.15.2 Version Details Vulnerabilities
20 Application Haxx Curl 7.15.3 Version Details Vulnerabilities
21 Application Haxx Curl 7.15.4 Version Details Vulnerabilities
22 Application Haxx Curl 7.15.5 Version Details Vulnerabilities
23 Application Haxx Curl 7.16.0 Version Details Vulnerabilities
24 Application Haxx Curl 7.16.1 Version Details Vulnerabilities
25 Application Haxx Curl 7.16.2 Version Details Vulnerabilities
26 Application Haxx Curl 7.16.3 Version Details Vulnerabilities
27 Application Haxx Curl 7.16.4 Version Details Vulnerabilities
28 Application Haxx Curl 7.17.0 Version Details Vulnerabilities
29 Application Haxx Curl 7.17.1 Version Details Vulnerabilities
30 Application Haxx Curl 7.18.0 Version Details Vulnerabilities
31 Application Haxx Curl 7.18.1 Version Details Vulnerabilities
32 Application Haxx Curl 7.18.2 Version Details Vulnerabilities
33 Application Haxx Curl 7.19.0 Version Details Vulnerabilities
34 Application Haxx Curl 7.19.1 Version Details Vulnerabilities
35 Application Haxx Curl 7.19.2 Version Details Vulnerabilities
36 Application Haxx Curl 7.19.3 Version Details Vulnerabilities
37 Application Haxx Curl 7.19.4 Version Details Vulnerabilities
38 Application Haxx Curl 7.19.5 Version Details Vulnerabilities
39 Application Haxx Curl 7.19.6 Version Details Vulnerabilities
40 Application Haxx Curl 7.19.7 Version Details Vulnerabilities
41 Application Haxx Curl 7.20.0 Version Details Vulnerabilities
42 Application Haxx Curl 7.20.1 Version Details Vulnerabilities
43 Application Haxx Curl 7.21.0 Version Details Vulnerabilities
44 Application Haxx Curl 7.21.1 Version Details Vulnerabilities
45 Application Haxx Curl 7.21.2 Version Details Vulnerabilities
46 Application Haxx Curl 7.21.3 Version Details Vulnerabilities
47 Application Haxx Curl 7.21.4 Version Details Vulnerabilities
48 Application Haxx Curl 7.21.5 Version Details Vulnerabilities
49 Application Haxx Curl 7.21.6 Version Details Vulnerabilities
50 Application Haxx Curl 7.21.7 Version Details Vulnerabilities
51 Application Haxx Curl 7.22.0 Version Details Vulnerabilities
52 Application Haxx Curl 7.23.0 Version Details Vulnerabilities
53 Application Haxx Curl 7.23.1 Version Details Vulnerabilities
54 Application Haxx Curl 7.24.0 Version Details Vulnerabilities
55 Application Haxx Curl 7.25.0 Version Details Vulnerabilities
56 Application Haxx Curl 7.26.0 Version Details Vulnerabilities
57 Application Haxx Curl 7.27.0 Version Details Vulnerabilities
58 Application Haxx Curl 7.28.0 Version Details Vulnerabilities
59 Application Haxx Curl 7.28.1 Version Details Vulnerabilities
60 Application Haxx Curl 7.29.0 Version Details Vulnerabilities
61 Application Haxx Curl 7.30.0 Version Details Vulnerabilities
62 Application Haxx Curl 7.31.0 Version Details Vulnerabilities
63 Application Haxx Curl 7.32.0 Version Details Vulnerabilities
64 Application Haxx Curl 7.33.0 Version Details Vulnerabilities
65 Application Haxx Curl 7.34.0 Version Details Vulnerabilities
66 Application Haxx Curl 7.35.0 Version Details Vulnerabilities
67 Application Haxx Libcurl 7.10.6 Version Details Vulnerabilities
68 Application Haxx Libcurl 7.10.7 Version Details Vulnerabilities
69 Application Haxx Libcurl 7.10.8 Version Details Vulnerabilities
70 Application Haxx Libcurl 7.11.0 Version Details Vulnerabilities
71 Application Haxx Libcurl 7.11.1 Version Details Vulnerabilities
72 Application Haxx Libcurl 7.11.2 Version Details Vulnerabilities
73 Application Haxx Libcurl 7.12.0 Version Details Vulnerabilities
74 Application Haxx Libcurl 7.12.1 Version Details Vulnerabilities
75 Application Haxx Libcurl 7.12.2 Version Details Vulnerabilities
76 Application Haxx Libcurl 7.12.3 Version Details Vulnerabilities
77 Application Haxx Libcurl 7.13.0 Version Details Vulnerabilities
78 Application Haxx Libcurl 7.13.1 Version Details Vulnerabilities
79 Application Haxx Libcurl 7.13.2 Version Details Vulnerabilities
80 Application Haxx Libcurl 7.14.0 Version Details Vulnerabilities
81 Application Haxx Libcurl 7.14.1 Version Details Vulnerabilities
82 Application Haxx Libcurl 7.15.0 Version Details Vulnerabilities
83 Application Haxx Libcurl 7.15.1 Version Details Vulnerabilities
84 Application Haxx Libcurl 7.15.2 Version Details Vulnerabilities
85 Application Haxx Libcurl 7.15.3 Version Details Vulnerabilities
86 Application Haxx Libcurl 7.15.4 Version Details Vulnerabilities
87 Application Haxx Libcurl 7.15.5 Version Details Vulnerabilities
88 Application Haxx Libcurl 7.16.0 Version Details Vulnerabilities
89 Application Haxx Libcurl 7.16.1 Version Details Vulnerabilities
90 Application Haxx Libcurl 7.16.2 Version Details Vulnerabilities
91 Application Haxx Libcurl 7.16.3 Version Details Vulnerabilities
92 Application Haxx Libcurl 7.16.4 Version Details Vulnerabilities
93 Application Haxx Libcurl 7.17.0 Version Details Vulnerabilities
94 Application Haxx Libcurl 7.17.1 Version Details Vulnerabilities
95 Application Haxx Libcurl 7.18.0 Version Details Vulnerabilities
96 Application Haxx Libcurl 7.18.1 Version Details Vulnerabilities
97 Application Haxx Libcurl 7.18.2 Version Details Vulnerabilities
98 Application Haxx Libcurl 7.19.0 Version Details Vulnerabilities
99 Application Haxx Libcurl 7.19.1 Version Details Vulnerabilities
100 Application Haxx Libcurl 7.19.2 Version Details Vulnerabilities
101 Application Haxx Libcurl 7.19.3 Version Details Vulnerabilities
102 Application Haxx Libcurl 7.19.4 Version Details Vulnerabilities
103 Application Haxx Libcurl 7.19.5 Version Details Vulnerabilities
104 Application Haxx Libcurl 7.19.6 Version Details Vulnerabilities
105 Application Haxx Libcurl 7.19.7 Version Details Vulnerabilities
106 Application Haxx Libcurl 7.20.0 Version Details Vulnerabilities
107 Application Haxx Libcurl 7.20.1 Version Details Vulnerabilities
108 Application Haxx Libcurl 7.21.0 Version Details Vulnerabilities
109 Application Haxx Libcurl 7.21.1 Version Details Vulnerabilities
110 Application Haxx Libcurl 7.21.2 Version Details Vulnerabilities
111 Application Haxx Libcurl 7.21.3 Version Details Vulnerabilities
112 Application Haxx Libcurl 7.21.4 Version Details Vulnerabilities
113 Application Haxx Libcurl 7.21.5 Version Details Vulnerabilities
114 Application Haxx Libcurl 7.21.6 Version Details Vulnerabilities
115 Application Haxx Libcurl 7.21.7 Version Details Vulnerabilities
116 Application Haxx Libcurl 7.22.0 Version Details Vulnerabilities
117 Application Haxx Libcurl 7.23.0 Version Details Vulnerabilities
118 Application Haxx Libcurl 7.23.1 Version Details Vulnerabilities
119 Application Haxx Libcurl 7.24.0 Version Details Vulnerabilities
120 Application Haxx Libcurl 7.25.0 Version Details Vulnerabilities
121 Application Haxx Libcurl 7.26.0 Version Details Vulnerabilities
122 Application Haxx Libcurl 7.27.0 Version Details Vulnerabilities
123 Application Haxx Libcurl 7.28.0 Version Details Vulnerabilities
124 Application Haxx Libcurl 7.28.1 Version Details Vulnerabilities
125 Application Haxx Libcurl 7.29.0 Version Details Vulnerabilities
126 Application Haxx Libcurl 7.30.0 Version Details Vulnerabilities
127 Application Haxx Libcurl 7.31.0 Version Details Vulnerabilities
128 Application Haxx Libcurl 7.32.0 Version Details Vulnerabilities
129 Application Haxx Libcurl 7.33.0 Version Details Vulnerabilities
130 Application Haxx Libcurl 7.34.0 Version Details Vulnerabilities
131 Application Haxx Libcurl 7.35.0 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Debian Debian Linux 1
Haxx Curl 65
Haxx Libcurl 65

- References For CVE-2014-0138

http://www.vmware.com/security/advisories/VMSA-2014-0012.html CONFIRM
http://www.ubuntu.com/usn/USN-2167-1
UBUNTU USN-2167-1
http://curl.haxx.se/docs/adv_20140326A.html CONFIRM
http://lists.opensuse.org/opensuse-updates/2014-04/msg00042.html
SUSE openSUSE-SU-2014:0530
http://www.oracle.com/technetwork/topics/security/cpujul2015-2367936.html CONFIRM
http://www.getchef.com/blog/2014/04/09/enterprise-chef-1-4-9-release/ CONFIRM
http://www.getchef.com/blog/2014/04/09/enterprise-chef-11-1-3-release/ CONFIRM
http://www.debian.org/security/2014/dsa-2902
DEBIAN DSA-2902
http://www.securityfocus.com/archive/1/534161/100/0/threaded
BUGTRAQ 20141205 NEW: VMSA-2014-0012 - VMware vSphere product updates address security vulnerabilities
http://www.getchef.com/blog/2014/04/09/chef-server-11-0-12-release/ CONFIRM
http://www-947.ibm.com/support/entry/portal/docdisplay?lndocid=MIGR-5095862 CONFIRM
http://www-01.ibm.com/support/docview.wss?uid=swg21675820 CONFIRM
http://seclists.org/fulldisclosure/2014/Dec/23
FULLDISC 20141205 NEW: VMSA-2014-0012 - VMware vSphere product updates address security vulnerabilities
http://secunia.com/advisories/58615
SECUNIA 58615

- Metasploit Modules Related To CVE-2014-0138

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.